Subject: Re: [RFC/PATCH 10/11] branch.c: use 'ref-filter' APIs

From: Matthieu Moy <[email-masked]>
Date: Wed, 19 Aug 2015 17:49:47 +0200

Karthik Nayak <[email-masked]> writes:

> On Thu, Jul 30, 2015 at 12:59 PM, Matthieu Moy
> <[email-masked]> wrote:
>
>> IIRC, historicaly Git allowed some weirdly named refs which made some
>> commands ambiguous (e.g. a branch named after an option like '-d').
>> We're forbidding their creation so people shouldn't have any, but we
>> it's important to continue showing them in case some people have old
>> bad-named branches lying around.
[...]
> Agreed. But then again the warning tells about the broken ref, as in it's name
> So I think It's ok?
>
> for e.g. t1430 :
> [trash directory.t1430-bad-ref-name] ../../git branch
> warning: ignoring ref with broken name refs/heads/broken...ref
> * master

[ Late answer, I'm still catching up with my holiday's emails ;-) ]

OK, the warning gives a different interface but it seems as good as the
old one.

-- 
Matthieu Moy
http://www-verimag.imag.fr/~moy/